WCSCPY(3)

NAME
wcscpy - copy a wide-character string

SYNOPSIS
#include <wchar.h>

wchar_t *wcscpy(wchar_t *dest, const wchar_t *src);

DESCRIPTION
The wcscpy() function is the wide-character equivalent of the strcpy(3) function. It copies the wide-character string pointed to by src, including the terminating null wide character (L'\0'), to the array pointed to by dest.

The strings may not overlap.

The programmer must ensure that there is room for at least wcslen(src)+1 wide characters at dest.

RETURN VALUE
wcscpy() returns dest.

CONFORMING TO
C99.

SEE ALSO
strcpy(3), wcpcpy(3), wcscat(3), wcsdup(3), wmemcpy(3)

COLOPHON
This page is part of release 3.50 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.